
Figure - Bug #111313
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110871 (New): BSP-BVT测试-蓝牙测试

【BSP】【EVT】【BT】【概率：2/5】DUT配对连接蓝牙键盘后重启，蓝牙键盘回连失败
2022-08-17 19:49 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-08-17

Priority: High Due date:

Assignee: SZTS_TEST 邹涛 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: 0.0.0.20220817_alpha_private_userdebug

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: Bring Up Test Root cause: 非问题

Description

前置条件：

1、DUT各模块功能正常且处于开机状态

2、蓝牙鼠标罗技M557

3、蓝牙键盘罗技K480

操作步骤：

1、settings内同时连接蓝牙音箱，蓝牙鼠标、蓝牙键盘

2、执行adb reboot

3、重启完成后检查蓝牙设备回连情况

实际结果：

1、DUT重启完成后，蓝牙音箱和蓝牙鼠标正常回连

2、蓝牙键盘（概率:2/5）回连失败

预期结果：

1、DUT重启完成后，蓝牙音箱、蓝牙鼠标、蓝牙键盘每次都能回连成功

History

#1 - 2022-08-24 10:59 - CD LC 陶洪普

- Assignee changed from CD LC 陶洪普 to CD LC-徐玺栋

Hi 玺栋，

请帮复现一下这个现象，谢谢！

蓝牙键盘请找测试同学借用一下。

#2 - 2022-08-25 15:37 - CD LC-徐玺栋

- Status changed from New to ASSIGNED

当前进展：

只使用蓝牙键盘进行复现的话，复现了几次没有出现蓝牙键盘回连失效的情况；
下一步计划：

同时连接包括蓝牙键盘的多个设备进行复现。

#3 - 2022-08-26 11:04 - CD LC-徐玺栋

当前进展：

同时连接蓝牙耳机和蓝牙键盘，复现了5次蓝牙键盘和蓝牙耳机都可以成功回连，请测试同学确认一下该问题；

下一步计划：

等待测试的同学确认该问题。

#4 - 2022-08-26 17:59 - CD LC-徐玺栋

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC-徐玺栋 to SZTS_TEST 邹涛

当前进展：

测试同学复测也未发生蓝牙键盘无法回连的状况；

下一步计划：

怀疑可能是版本问题或者其他问题，先转回测试同学。

#5 - 2022-09-14 11:17 - CD TPM-申艳艳

- Category set to LC

#6 - 2022-09-27 11:35 - 物联网项目组-RD3_CDTS 周飞

- Assignee changed from SZTS_TEST 邹涛 to CDTS_TEST 王成

- Target version set to VX1_MCE_FSE_V2.0_20220930

#7 - 2022-09-27 16:17 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to SZTS_TEST 邹涛

麻烦复现下BUG，若无复现请关闭BUG

#8 - 2022-09-27 17:38 - SZTS_TEST 邹涛

使用0924release分支userdebug版本未复现，继续跟踪两个版本

#9 - 2022-09-28 18:14 - SZTS_TEST 邹涛

0927号DB版本验证未复现，已跟踪三个版本问题关闭

#10 - 2022-09-28 18:15 - SZTS_TEST 邹涛

- Status changed from NEED_INFO to RESOLVED

#11 - 2022-09-28 18:15 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED
#12 - 2022-09-28 18:16 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

#13 - 2022-09-29 16:25 - CD LC-徐玺栋

- Resolution changed from -- to FIXED

- Root cause set to 非问题

Files

logcat_配对连接过蓝牙键盘不自动回连_概率50_.txt 3.34 MB 2022-08-17 SZTS_TEST 邹涛
